// Code generated by mockery v2.10.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	dao "gitlab.informatika.org/rahmahkn/if3250_2022_03_ensiklo/internal/app/model/dao"
)

// CollectionRepo is an autogenerated mock type for the CollectionRepo type
type CollectionRepo struct {
	mock.Mock
}

// CreateCollection provides a mock function with given fields: c
func (_m *CollectionRepo) CreateCollection(c dao.Collection) (dao.Collection, error) {
	ret := _m.Called(c)

	var r0 dao.Collection
	if rf, ok := ret.Get(0).(func(dao.Collection) dao.Collection); ok {
		r0 = rf(c)
	} else {
		r0 = ret.Get(0).(dao.Collection)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(dao.Collection) error); ok {
		r1 = rf(c)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetAllCollection provides a mock function with given fields:
func (_m *CollectionRepo) GetAllCollection() ([]dao.Collection, error) {
	ret := _m.Called()

	var r0 []dao.Collection
	if rf, ok := ret.Get(0).(func() []dao.Collection); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]dao.Collection)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetCollectionByUserId provides a mock function with given fields: id
func (_m *CollectionRepo) GetCollectionByUserId(id uint64) ([]dao.Collection, error) {
	ret := _m.Called(id)

	var r0 []dao.Collection
	if rf, ok := ret.Get(0).(func(uint64) []dao.Collection); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]dao.Collection)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint64) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// TrackProgress provides a mock function with given fields: userID, bookID, progress
func (_m *CollectionRepo) TrackProgress(userID uint, bookID uint, progress int) (dao.Collection, error) {
	ret := _m.Called(userID, bookID, progress)

	var r0 dao.Collection
	if rf, ok := ret.Get(0).(func(uint, uint, int) dao.Collection); ok {
		r0 = rf(userID, bookID, progress)
	} else {
		r0 = ret.Get(0).(dao.Collection)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint, int) error); ok {
		r1 = rf(userID, bookID, progress)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
